
TERM ACCESS для 4.4

This is file in Russian language (UTF-8 encoding). See README.txt for English version.

Модуль term_access позволяет скрывать документы связанные с определенными элементами таксономии от выбранных ролей пользователей. Т.е. пользователь либо имеет доступ к документу в соответствии с прочими определенными для него правами доступа (permissions), либо вовсе не видит документа, если у пользователя нет прав доступа к связанным с ним элементам таксономии.

Документы не имеющие вовсе никаких привязанных к ним элементов таксономии показываются всегда всем пользователям, т.е. если требуется скрыть документ от некоторых ролей, требуется присвоить документу какой-либо элемент таксономии, к которому данная роль не имеет прав доступа.

Если с документом соотнесено несколько элементов - по умолчанию работает логическое ИЛИ: пользователь видит документ, если у него есть доступ хотя бы к одному из связанных с ним элементов. В настройках модуля можно изменить режим логики и указать, что элементы таксономии должны объединяться по логическому И. Тогда пользователь получит доступ к документу, только если он имеет права на все закрепленные за документом элементы таксономии.

ЗАМЕЧАНИЕ: режим И не полностью работоспособен, патчи для большинства модулей его не поддерживают.
ЗАМЕЧАНИЕ №2: режим ИЛИ производит чуть меньше запросов к базе и работает быстрее
ЗАМЕЧАНИЕ №3: модуль term_access в состоянии разработки и может иногда вести себя странно

Модуль не предусматривает разграничений по видам доступа ("создание", "изменение", "удаление" и т.д.) - только обеспечивает видимость, либо невидимость документов и элементов таксономии. Подразумевается, что права на создание, изменение и удаление документов могут быть определены стандартными правами доступа в Drupal (разумеется в тех модулях где предусмотрены такие разграничения). По собственному опыту, для многих случаев этого достаточно (и часто даже в этих случаях функциональность term_access является лишней и вводимые на сайте ограничения - следствие администраторской паранойи, а не реальных задач). В прочих случаях рекомендуется обратиться к другим более функциональным модулям - groups или taxonomy_access.

По соображениям эргономики присвоение ролей элементам таксономии сделано в форме редактирования этих элементов, что несколько расходится с концепцией Drupal, где права доступа присваиваются исключительно на страничке permissions. Однако выбирать роли из списка удобнее, чем тыкать бесконечные галочки на странице permissions. Также наглядно при редактировании элемента видно, каким ролям разрешен доступ. Но вообще, окончательно не решено, может быть имеет смысл сделать как принято в Drupal и вынести редактирование прав на страницу permissions.

Были использованы некоторые идеи из модулей groups (автор Gerhard Killesreiter) и taxonomy_access (Moshe Weitzman).

Модуль требует наложения патчей к модулям Drupal. См. PATCHES. Term_access был написан и тестировался с Drupal 4.4.1.

Лицензия (GPL) - см. LICENSE
Установка/удаление модуля - см. doc/INSTALL
Патчи - см. patches/PATCHES.ru
Что дальше? - doc/TODO
Баги и недоработки - doc/BUGS

Багрепорты и пожелания: Axel <axel@drupal.ru>.

Русские пользователи Drupal - объединяйтесь! :)
http://drupal.ru
